## org.plovr
Class Manifest

    java.lang.Object
      org.plovr.Manifest

    public final class Manifest

extends java.lang.Object

`Manifest` represents an ordered list of JavaScript inputs to the Closure Compiler, along with a set of externs. This list is derived from the transitive closure of the dependencies from a set of input files.

Author:
  bolinfest@gmail.com (Michael Bolin)

Method Summary
`Compilation` `getCompilerArguments(ModuleConfig moduleConfig)`
`java.util.Set<java.io.File>` `getDependencies()`
`java.util.List<JsInput>` `getInputsInCompilationOrder()`
`java.util.List<JsInput>` `getRequiredInputs()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDependencies

    public java.util.Set<java.io.File> getDependencies()

  Returns:
    the set of files (or directories) that contain JS inputs that may be included in the compilation

### getRequiredInputs

    public java.util.List<JsInput> getRequiredInputs()

  Returns:
    a list of files (or directories) that contain JS inputs that must be included in the compilation

### getCompilerArguments

    public Compilation getCompilerArguments(@Nullable
                                            ModuleConfig moduleConfig)
                                     throws CompilationException

  Parameters:
    `moduleConfig` -
  Returns:
    a new `Compilation` that reflects the configuration for this `Manifest`.
  Throws:
    `CompilationException`

### getInputsInCompilationOrder

    public java.util.List<JsInput> getInputsInCompilationOrder()
                                                        throws CompilationException

  Throws:
    `CompilationException`